Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031952
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Warehouse Pickingmajoralways2016-01-19 17:262016-03-17 10:56
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0301db6b51d5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Todmiguelez
Regression introduced in release
Summary

0031952: Negative reservations are created when a picking list line is deleted if the reservation quantity is decreased before

DescriptionNegative reservations are created when a picking list line is deleted if the reservation quantity is decreased before
Steps To ReproduceAs group admin role:
   Create the Enable Stock Reservations preference
   Create a Sales Order
   Add 10 units for a product with stock to it and complete it
   Click on Manage Reservation and reserve the whole quantity as allocated
   Generate the Picking List but do not process it
   Go to the Sales Order an decrease the reserved amount
   Go to the Picking list and delete the line
   Go to the Sales order Reservation and check the reserved amount is negative
   
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0030027 newTriage Finance Reservation related to a not processed Warehouse Picking should not be editable apart from Warehouse Picking flows. 

-  Notes
(0083975)
aferraz (developer)
2016-02-05 14:00
edited on: 2016-02-08 15:41

Test plan I:

As group admin role:
   Create the Enable Stock Reservations preference
   Create a Sales Order
   Add 10 units for a product with stock and complete it
   Click on Manage Reservation and reserve the whole quantity as allocated
   Check that a stock reservation related to the sales order line has been created.
   Generate a direct Picking List but do not process it
   Go to the Sales Order an decrease the reserved amount
   Go to the Picking list and delete the line
   Go to the Sales order and check that stock reservation has been deleted

Repeat the same flow with more than one sales order line, therefore there is more than one stock reservation. Check that stock reservations are deleted.

(0083976)
aferraz (developer)
2016-02-05 14:01
edited on: 2016-02-08 15:47

Test plan II:

As group admin role:
   Create the Enable Stock Reservations preference
   Set RN-Dev locator as "Outbound" Storage Bin Type in Warehouse and Storage Bins window, Storage Bin tab.
   Create a Sales Order
   Add 10 units for a product with stock and complete it
   Click on Manage Reservation and reserve the whole quantity as allocated
   Check that a stock reservation related to the sales order line has been created.
   Generate an outbound Picking List but do not process it
   Go to the Sales Order an decrease the reserved amount
   Go to the "Outbond" Picking list, edit the line by using "Edit Item" process button and un-select it
   Go to the Sales order and check that stock reservation has been deleted

(0084003)
psanjuan (manager)
2016-02-08 14:16

Issue verified.
(0084006)
psanjuan (manager)
2016-02-08 15:46
edited on: 2016-02-08 15:48

Test Plan above verified.

Issue can be code reviewed and closed.

As a side note:

In the case of changing the reserved amount, regardless it should not be allowed to do so whenever a picking list has already been created, stock reservations related are now being deleted, therefore it is required to reserve the goods once again and generate the picking list once again.

(0084220)
hgbot (developer)
2016-02-15 19:20

Repository: erp/devel/pi
Changeset: 0301db6b51d57e7b804d5d0f8fff5259b87d4f94
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Feb 05 14:06:10 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0301db6b51d57e7b804d5d0f8fff5259b87d4f94 [^]

Fixes issue 31952: Avoid negative reservations

Set quantity to zero in case quantity + p_qty is less than zero when updating current m_reservation_stock in M_RESERVE_STOCK_MANUAL, to avoid create negative reservations.

---
M src-db/database/model/functions/M_RESERVE_STOCK_MANUAL.xml
---
(0084221)
dmiguelez (developer)
2016-02-15 19:21

Code Review + Testing Ok
(0085141)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-19 17:26 ngarcia New Issue
2016-01-19 17:26 ngarcia Assigned To => Triage Finance
2016-01-19 17:27 ngarcia Relationship added related to 0030027
2016-01-19 17:27 ngarcia Issue Monitored: networkb
2016-02-05 12:28 aferraz Status new => scheduled
2016-02-05 12:28 aferraz Assigned To Triage Finance => aferraz
2016-02-05 14:00 aferraz Note Added: 0083975
2016-02-05 14:01 aferraz Note Added: 0083976
2016-02-05 14:34 aferraz Note Edited: 0083975 View Revisions
2016-02-05 14:34 aferraz Note Edited: 0083976 View Revisions
2016-02-08 14:16 psanjuan Note Added: 0084003
2016-02-08 15:28 psanjuan Note Edited: 0083975 View Revisions
2016-02-08 15:29 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:31 psanjuan Note Edited: 0083975 View Revisions
2016-02-08 15:32 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:33 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:34 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:35 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:42 psanjuan Note Edited: 0083975 View Revisions
2016-02-08 15:46 psanjuan Note Added: 0084006
2016-02-08 15:47 psanjuan Note Edited: 0083976 View Revisions
2016-02-08 15:48 psanjuan Note Edited: 0084006 View Revisions
2016-02-15 19:20 hgbot Checkin
2016-02-15 19:20 hgbot Note Added: 0084220
2016-02-15 19:20 hgbot Status scheduled => resolved
2016-02-15 19:20 hgbot Resolution open => fixed
2016-02-15 19:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0301db6b51d57e7b804d5d0f8fff5259b87d4f94 [^]
2016-02-15 19:21 dmiguelez Review Assigned To => dmiguelez
2016-02-15 19:21 dmiguelez Note Added: 0084221
2016-02-15 19:21 dmiguelez Status resolved => closed
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085141


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker